==================== Changes in man-pages-3.54 ====================

Released: 2013-09-17, Munich


Contributors
------------

The following people contributed patches/fixes or (noted in brackets
in the changelog below) reports, notes, and ideas that have been
incorporated in changes in this release:

A. Costa <agcosta@gis.net>
Akihiro MOTOKI <amotoki@gmail.com>
Andreas Wiese <aw-lkml@instandbesetzt.net>
Andrew Hunter <andrewhhunter@gmail.com>
Chen Gang <gang.chen@asianux.com>
Christopher Hall <chall0@gmail.com>
Christos Tsopokis <christos@tsopokis.gr>
David Prévot <taffit@debian.org>
D. Barbier <bouzim@gmail.com>
Doug Goldstein <cardoe@cardoe.com>
Elie De Brauwer <eliedebrauwer@gmail.com>
Eugen Dedu <Eugen.Dedu@pu-pm.univ-fcomte.fr>
Felix Janda <felix.janda@posteo.de>
G.raud <graud@gmx.com>
Hannes Landeholm <hannes@jumpstarter.io>
J. Bruce Fields <bfields@fieldses.org>
J. Bruce Fields <bfields@redhat.com>
Johan Erlandsson <jeoerl@gmail.com>
Jon Grant <jg@jguk.org>
Magnus Reftel <magnus.reftel@gmail.com>
Marko Myllynen <myllynen@redhat.com>
Michael Kerrisk <mtk.manpages@gmail.com>
Oleg Nesterov <oleg@redhat.com>
Peng Haitao <penght@cn.fujitsu.com>
Peter Schiffer <pschiffe@redhat.com>
Robert Harris <robert.harris@fixnetix.com>
Rodrigo Campos <rodrigo@sdfg.com.ar>
Simon Paillard <spaillard@debian.org>
Stas <stas.grumbler@gmail.com>
Vince Weaver <vincent.weaver@maine.edu>
Will Newton <will.newton@linaro.org>
Zdenek Pavlas <zpavlas@redhat.com>
Zsbán Ambrus <ambrus@math.bme.hu>

Apologies if I missed anyone!



Newly documented interfaces in existing pages
---------------------------------------------

ioctl_list.2
    Zsbán Ambrus
        Document FAT_IOCTL_GET_ATTRIBUTES
            The attached patch adds four ioctls from linux/msdos_fs.h to the
            ioctl_list(2) manpage.

            The ioctl FAT_IOCTL_GET_ATTRIBUTES reads FAT attributes of a
            file a mounted vfat file system.  I tested this on Linux
            2.6.33, an example script can be found at
            http://www.perlmonks.com/?node_id=832623


Global changes
--------------

Various pages
    Michael Kerrisk
        Global fix: s/file system/filesystem/
            Notwithstanding 24d01c530c5a3f75217543d02bf6712395e5f90c,
            "filesystem" is the form used by the great majority of man pages
            outside the man-pages project and in a number of other sources,
            so let's go with that.


Changes to individual pages
---------------------------

access.2
    J. Bruce Fields
        Fix outdated NFS information
            Note that NFS versions since version 3 support an "access" call
            so that the client doesn't have to guess permissions or ID
            mapping on its own.

            (See RFC 1813 sections 1.7 and 3.3.4.)

adjtimex.2
    Michael Kerrisk
        SEE ALSO: Add adjtimex(8)

clock_getres.2
    Michael Kerrisk  [Rodrigo Campos]
        Note circumstances in which "SMP" note applies.
    Michael Kerrisk
        Add kernel version for CLOCK_*_CPUTIME_ID
            CLOCK_PROCESS_CPUTIME_ID and CLOCK_THREAD_CPUTIME_ID
            appeared in 2.6.12.
    Michael Kerrisk
        Add VERSIONS section

futex.2
    Michael Kerrisk
        The 'timeout' can be rounded upwards by clock granularity and also overrun

kill.2
    Michael Kerrisk
        Small improvements to text on historical rules for permissions

nfsservctl.2
    Michael Kerrisk
        Note commands that were only in Linux 2.4.x and earlier

open.2
    Robert Harris
        Add mmap(2) to list of calls that fail when given an O_PATH descriptor
    Doug Goldstein
        Add EINVAL to errors list
            EINVAL can be returned by open(2) when the underlying filesystem
            doesn't support O_DIRECT. It is documented in the NOTES section
            but this patch adds it to the list of possible errors.

perf_event_open.2
    Vince Weaver
        PERF_SAMPLE_BRANCH_STACK updates
            This started out as just adding the new perf_event_open features
            from Linux 3.11 (which was the addition of transactional memory
            defines for PERF_SAMPLE_BRANCH_STACK samples) but turned into a
            general cleanup of the PERF_SAMPLE_BRANCH_STACK documentation.

            The main clarification is that at least one of the non-privilege
            values must be set or else perf_event_open() will return an EINVAL
            error.
    Michael Kerrisk
        Reorder text describing fields of 'perf_event_header' structure
            Place the fields with the shorter descriptions first, to make the
            information easier to read.

poll.2
    Michael Kerrisk
        Clarify wording of 'timeout' as a "minimum" interval

sched_setaffinity.2
    Michael Kerrisk  [Christos Tsopokis]
        Clarify that these system calls affect a per-thread attribute

sched_setparam.2
    Michael Kerrisk
        Clarify that this system call applies to threads (not processes)

sched_setscheduler.2
    Michael Kerrisk
        Clarify that this system call applies to threads (not processes)

select.2
    Michael Kerrisk  [G.raud]
        Clarify wording of 'timeout' as a "minimum" interval

setfsgid.2
    Michael Kerrisk  [Oleg Nesterov]
        Clarify description of return value
            More clearly describe the weirdness in the return value of this
            system call, and note the problems it creates in in BUGS
    Michael Kerrisk
        Correct header file in SYNOPSIS
    Michael Kerrisk
        Refer to setfsuid(2) for an explanation of why setfsgid() is obsolete
    Michael Kerrisk
        Wording improvements

setfsuid.2
    Michael Kerrisk  [Oleg Nesterov]
        Clarify description of return value
            More clearly describe the weirdness in the return value of this
            system call, and ote the problems it creates in in BUGS
    Michael Kerrisk  [Chen Gang]
        Clarify historical details and note that setfsuid() is obsolete
    Michael Kerrisk
        Wording improvements
    Michael Kerrisk
        Correct header file in SYNOPSIS

sigwaitinfo.2
    Michael Kerrisk
        Clarify wording of 'timeout' as a "minimum" interval

syscall.2
    Johan Erlandsson
        Add missing argument in example
    Johan Erlandsson
        Correct registers for arm/EABI
            Registers was off by one.

            Reference:
            http://www.arm.linux.org.uk/developer/patches/viewpatch.php?id=3105/4

            See also:
            http://peterdn.com/post/e28098Hello-World!e28099-in-ARM-assembly.aspx
            https://wiki.debian.org/ArmEabiPort
            http://en.wikipedia.org/wiki/Calling_convention#ARM

wait.2
    Michael Kerrisk  [Hannes Landeholm]
        Add details on the fifth argument provided by raw waitid() system call
            See https://bugzilla.kernel.org/show_bug.cgi?id=60744

clock.3
    Michael Kerrisk
        clock() switched from using times(2) to clock_gettime() in glibc 2.18

drand48_r.3
    Peng Haitao
        ATTRIBUTES: Note functions that are thread-safe
            The functions drand48_r(), erand48_r(), lrand48_r(),
            nrand48_r(), mrand48_r(), jrand48_r(), srand48_r(), seed48_r(),
            and lcong48_r() are thread safe.

fma.3
    Peng Haitao
        ATTRIBUTES: Note functions that are thread-safe
            The functions fma(), fmaf() and fmal() are thread safe.

fmax.3
    Peng Haitao
        ATTRIBUTES: Note functions that are thread-safe
            The functions fmax(), fmaxf() and fmaxl() are thread safe.

fmin.3
    Peng Haitao
        ATTRIBUTES: Note functions that are thread-safe
            The functions fmin(), fminf() and fminl() are thread safe.

fpclassify.3
    Peng Haitao
        ATTRIBUTES: Note functions that are thread-safe
            The functions fpclassify(), isfinite(), isnormal(), isnan(), and
            isinf() are thread safe.

frexp.3
    Peng Haitao
        ATTRIBUTES: Note functions that are thread-safe
            The functions frexp(), frexpf() and frexpl() are thread safe.

gethostbyname.3
    Michael Kerrisk  [Jon Grant]
        gai_strerror() is the modern replacement for herror() and hstrerror()
    Michael Kerrisk
        Update feature test macro requirements for herror() and hstrerror()
    Michael Kerrisk
        Add feature test macro requirements for h_errno

ilogb.3
    Peng Haitao
        ATTRIBUTES: Note functions that are thread-safe
            The functions ilogb(), ilogbf() and ilogbl() are thread safe.

ldexp.3
    Peng Haitao
        ATTRIBUTES: Note functions that are thread-safe
            The functions ldexp(), ldexpf() and ldexpl() are thread safe.

lrint.3
    Peng Haitao
        ATTRIBUTES: Note functions that are thread-safe
            The functions lrint(), lrintf(), lrintl(), llrint(), llrintf(),
            and llrintl() are thread safe.

lround.3
    Peng Haitao
        ATTRIBUTES: Note functions that are thread-safe
            The functions lround(), lroundf(), lroundl(), llround(),
            llroundf() and llroundl() are thread safe.

lseek64.3
    Peng Haitao
        ATTRIBUTES: Note function that is thread-safe
            The function lseek64() is thread safe.

mbsinit.3
    Peng Haitao
        ATTRIBUTES: Note function that is thread-safe
            The function mbsinit() is thread safe.

nextafter.3
    Peng Haitao
        ATTRIBUTES: Note functions that are thread-safe
            The functions nextafter(), nextafterf(), nextafterl(),
            nexttoward(), nexttowardf() and nexttowardl() are thread safe.

posix_memalign.3
    Michael Kerrisk  [Will Newton]
        'errno" is indeterminate after a call to posix_memalign()
    Michael Kerrisk  [Will Newton]
        Clarify wording on "return value" when size==0

printf.3
    Christopher Hall
        Correctly describe the meaning of a negative precision
            The printf(3) manpage says that a negative precision is taken to
            be zero, whereas printf(3p) says that a negative precision is
            taken as if the precision were omitted.  glibc agrees with the
            latter (POSIX) specification.

            Test code:

                printf("%f\n",42.0);      // "42.000000"
                printf("%.*f\n",0,42.0);  // "42"
                printf("%.*f\n",-1,42.0); // "42.000000"

            This patch corrects the explanation to match what actually happens.

rewinddir.3
    Peng Haitao
        ATTRIBUTES: Note function that is thread-safe
            The function rewinddir() is thread safe.

rint.3
    Peng Haitao
        ATTRIBUTES: Note functions that are thread-safe
            The functions nearbyint(), nearbyintf(), nearbyintl(), rint(),
            rintf() and rintl() are thread safe.

seekdir.3
    Peng Haitao
        ATTRIBUTES: Note function that is thread-safe
            The function seekdir() is thread safe.

telldir.3
    Peng Haitao
        ATTRIBUTES: Note function that is thread-safe
            The function telldir() is thread safe.

wctomb.3
    Peng Haitao
        ATTRIBUTES: Note function that is not thread-safe
            The function wctomb() is not thread safe.

wavelan.4
    Michael Kerrisk  [Elie De Brauwer]
        This driver disappeared in 2.56.35

dir_colors.5
    Michael Kerrisk  [Stas]
        Add various synonyms
            See http://bugs.debian.org/553477
    Simon Paillard  [Stas]
        Add keywords SUID, SGID, STICKY, STICKY_OTHER_WRITABLE, OTHER_WRITABLE
            See http://bugs.debian.org/553477
            See ls.c and dircolors.c in coreutils

proc.5
    Peter Schiffer
        Document /proc/[pid]/io file
            Attempt to document fields in the /proc/[pid]/io file, based on
            the Documentation/filesystems/proc.txt. The text will probably
            need some grammar corrections.
    Michael Kerrisk  [Marko Myllynen]
        /proc/sys/fs/inode-max went away in Linux 2.4
            Also, the 'preshrink' field in /proc/sys/fs/inode-state became
            a dummy value in Linux 2.4.

            See https://bugzilla.kernel.org/show_bug.cgi?id=60836
    Michael Kerrisk  [A. Costa]
        Note block size used by /proc/partitions
            See http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=666972
    Michael Kerrisk
        Add rationale on drop_caches and note that it can hurt performance
            See also http://lwn.net/Articles/562211/

bootparam.7
    Michael Kerrisk  [Eugen Dedu]
        Remove "lilo" entries from SEE ALSO
            See http://bugs.debian.org/604019

inotify.7
    Michael Kerrisk
        SEE ALSO: add inotifywait(1) and inotifywatch(1)

ip.7
    Simon Paillard
        IP_MULTICAST_IF setsockopt recognizes struct mreq (compatibility)
            Kernel added compatibility only recently in
            3a084ddb4bf299a6e898a9a07c89f3917f0713f7
            See: http://bugs.debian.org/607979

standards.7
    Michael Kerrisk
        Add mention of SUSv4-TC1 (POSIX.1-2013)
